[Bioperl-l] Installing Bio-perl on dreamhost via CPAN

Charles Plessy charles-listes+bioperl at plessy.org
Fri Nov 20 20:07:23 EST 2009


Le Fri, Nov 20, 2009 at 07:00:45AM -0600, Chris Fields a écrit :
> On Nov 20, 2009, at 4:44 AM, Charles Plessy wrote:
> > 
> > DreamHost uses Debian, so you can suggest them to install the Debian
> > package.  If you are in contact with the tech service, do not hesitate to
> > tell them to contact me if they are interested by a backport of the 1.6.0
> > package. For version 1.6.1, it may be more difficult as it depends on perl
> > 5.10.1.
> 
> Any reason why this is so?  We specify compatibility back to 5.6.1.

Dear Chris,

you make a good point: although for building we need to either depend on perl
5.10.1 or package separately Extutils::Manifest, the resulting bioperl package
does not depend on such a high version. Therefore, there is no need for a
backport, and the latest Debian package can be installed on Debian stable
(5.0/Lenny) system. I just checked the Dreamhost machine on which I happen to
have an acces, ‘waratahs’, and it seems to be older, but nevertheless it may be
worth asking the admins anyway (with the big drawback that they would have to
be asked for each update).

Have a nice week-end,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan


More information about the Bioperl-l mailing list